Bug 113665 - broken data field read ?
broken data field read ?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-16 04:57 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-21 15:10:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-01-16 04:57:16 EST
Description of problem:

I just tried to compile package dhcp-3.0pl2-6.16, from Redhat
Fedora Core 1.

The compiler said

packet.c(153): remark #592: variable "ip" is used before its value is set

The source code is

        IP_V_SET (&ip, 4);

but

#define IP_V_SET(iph,x) ((iph)->ip_fvhl = ((iph)->ip_fvhl & 0x0F) |
((x) << 4))

I think field ip_fvhl is being read from before it is initialised.
Suggest add

		memset( &ip, sizeof ip, 0);

just after the declaration of ip.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2004-01-21 15:10:05 EST
Update latest code in Fedora core with this patch.

dhcp-3.0pl2-6.20
Comment 2 John Flanagan 2004-12-21 14:42:06 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-566.html

Note You need to log in before you can comment on or make changes to this bug.